# Overview

This plugin allows for custom settings for how often the following occurs per frame for enemy groups

- node
- locomotion
- fixed locomotion
- behaviour
- detection
- network

# Usage for Players

A file will generate in the config folder when the game is launched. After that you can use the Config editor in modman or manually edit it.

# Usage for Rundown developers

Include a folder named config and the config file for this mod within it in your release. When people install your rundown it should automatically set it up.

The uploaded file structure for your mod should be as follows
"myRundown\config\com.Dex.CustomEnemyUpdater.cfg"
".\plugins\myFiles"
".\icon.png"
".\manifest.json"
".\README.md"

# How do the numbers work?

The game uses a stepped update system that will iterate through a certain number of enemies per frame. Further groups will pull more update numbers from unused closer groups, so if there are no enemies close to you the value set will shift to the enemies near you or to far if necessary. It will Iterate through the minimum value between the member count of a node or the unused updates. This is handled client side

# Fixed Update System

Enables a patch to properly reroute static update manager (ie spitters), fixed locomotion and detection fixed updates to a fixed update method (frame rate independent)

# Node

This will iterate through all enemies in a current node and is generally best left at 1 as it provides information for the other updates

# Locomotion

Handles updates for the following enemy states close, near and far
- Animations
- Path movement
- Knockdown
- Hitreact
- Knockdown recovery
- Jumping
- Death
- Scout detection/scream
- Hibernation/Wake up
- Screaming
- Stuck in glue
- All attacks
- Ladder climbing
- Birthing
- Fog spheres

# Fixed locomotion

Handles calculating SfXLod, ie enemy footsteps for the previously mentioned states close, near and far

# Behaviour

Handles base state updates for the following close, near and far
- Hibernation
- Patrolling
- Various combat states
- Death

# Detection

Specifically targets detection updates on the previously mentioned base states close, near and far

# Network

Updates enemy locomotion network state close, near and far

# Note

If you have any issues or would like for more features please join the modding discord and ask Dex#5623 for assistance